// Copyright  2010 Henry Golding
// This file is part of the "HInput" input abstraction layer.
// For conditions of distribution and use, see copyright notice in HInput.h

#ifndef _InputImpls_h__
#define _InputImpls_h__

#include "Input.h"


namespace HInput
{	
	// fwd decs
	class InputMetaData;

	// Test input - always satisfied
	class Input_Test : public Input
	{
	public:
		Input_Test(PlayerID plyr, const DataRecord& data, InputManager& manager)
			: Input(plyr, data, manager) {}
		virtual ~Input_Test() {}

		virtual void Update();
		static void PopulateMetaData(InputMetaData& outData);
	};

} // end namespace HInput

#endif // _InputImpls_h__